Subject: Re: [RFC mm v5 1/2] page_pool: check nmdesc->pp to see its usage as page pool for net_iov not page-backed

From: Byungchul Park <[email-masked]>
Date: Tue, 11 Nov 2025 11:45:00 +0900

On Tue, Nov 11, 2025 at 11:17:41AM +0900, Byungchul Park wrote:
> On Mon, Nov 10, 2025 at 05:56:50PM -0800, Jakub Kicinski wrote:
> > On Tue, 11 Nov 2025 10:40:52 +0900 Byungchul Park wrote:
> > > > > I understand the end goal. I don't understand why patch 1 is a step
> > > > > in that direction, and you seem incapable of explaining it. So please
> > > > > either follow my suggestion on how to proceed with patch 2 without
> > > >
> > > > struct page and struct netmem_desc should keep difference information.
> > > > Even though they are sharing some fields at the moment, it should
> > > > eventually be decoupled, which I'm working on now.
> > >
> > > I'm removing the shared space between struct page and struct net_iov so
> > > as to make struct page look its own way to be shrinked and let struct
> > > net_iov be independent.
> > >
> > > Introduing a new shared space for page type is non-sense.  Still not
> > > clear to you?
> > 
> > I've spent enough time reasoning with out and suggesting alternatives.
> 
> I'm not trying to be arguing but trying my best to understand you and
> want to adopt your opinion.  However, it's not about objection but I
> really don't understand what you meant.  Can anyone explain what he
> meant who understood?

If no objection against Jakub's opinion, I will resend with his
alternaltive applied.

	Byungchul

> 	Byungchul
> 
> > If you respin this please carry:
> > 
> > Nacked-by: Jakub Kicinski <[email-masked]>
> > 
> > Until I say otherwise.